<?php
// ***************************************************************
// *
// *		Title		:	Suggestion Box
// *
// *		Author		:	Barry Keal
// *
// *		Date		:	19 November 2004
// *
// *		Version		:	2.8
// *
// *		Description	: 	Suggestion Archive
// *
// *		Revisions	:	 4 December 2004 Initial design
// *					:	 4 April 2007
// *					:	14 April 2007
// *
// ***************************************************************
/*
+---------------------------------------------------------------+
|        Suggestions Menu for e107 v711+ - by Father Barry
|
|        This module for the e107 .7+ website system
|        Copyright Barry Keal 2004-2008
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
|
+---------------------------------------------------------------+
*/
include_lan(e_PLUGIN . "suggestions_menu/languages/" . e_LANGUAGE . "_suggestions_menu.php");
// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "suggestions menu";
$eplug_version = "2.9";
$eplug_author = "Father Barry";
$eplug_logo = "/images/ideas_32.png";
$eplug_url = "http://keal.me.uk";
$eplug_email = "";
$eplug_description = SUGGSMENU_A80;
$eplug_compatible = "e107 v7";
$eplug_readme = "admin_readme.php"; // leave blank if no readme file
$eplug_compliant=TRUE;
$eplug_status = TRUE;
$eplug_latest = TRUE;

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "suggestions_menu";
// Name of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = SUGGSMENU_A2;
// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "admin_config.php";
// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder . "/images/ideas_32.png";
$eplug_icon_small = $eplug_folder."/images/ideas_16.png";
$eplug_caption = SUGGSMENU_A81;

// List of preferences -----------------------------------------------------------------------------------------------
// now handled in class
// List of table names -----------------------------------------------------------------------------------------------
// List of sql requests to create tables -----------------------------------------------------------------------------
$eplug_sql = file_get_contents(e_PLUGIN . "{$eplug_folder}/suggestions_sql.php");
preg_match_all("/CREATE TABLE (.*?)\(/i", $eplug_sql, $matches);
$eplug_table_names = $matches[1];
// create tables -----------------------------------------------------------------------------------------------
$eplug_tables = explode(";", str_replace("CREATE TABLE ", "CREATE TABLE " . MPREFIX, $eplug_sql));
for ($i = 0; $i < count($eplug_tables); $i++)
{
    $eplug_tables[$i] .= ";";
}
array_pop($eplug_tables); // Get rid of last (empty) entry

// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = true;
$eplug_link_name = SUGGSMENU_A82;
$eplug_link_url = e_PLUGIN . "suggestions_menu/index.php";

// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = SUGGSMENU_A83;
// upgrading ... //
$upgrade_add_prefs = "";

$upgrade_remove_prefs = "";

$upgrade_alter_tables = array(
"ALTER TABLE ".MPREFIX."sugg_suggs ADD INDEX suggestion_name (suggestion_name) ;",
"ALTER TABLE ".MPREFIX."sugg_suggs ADD INDEX suggestion_category (suggestion_category) ;",
"ALTER TABLE ".MPREFIX."sugg_cats ADD INDEX suggestion_category_name (suggestion_category_name) ;"
);

$eplug_upgrade_done = "";

if (!function_exists("suggestions_menu_uninstall"))
{
    function suggestions_menu_uninstall()
    {
        global $sql;
         $sql->db_Delete("core", " e107_name='suggestions' ");
        $sql->db_Delete("rate", " rate_table='suggestion' ");
        $sql->db_Delete("comments", " comment_type='sugg_suggs' ");
    }
}
?>